Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.event
Class ProcessingPhase

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          org.apache.commons.lang.enums.ValuedEnum
              org.apache.cocoon.forms.event.ProcessingPhase

All Implemented Interfaces:
  Comparable, Serializable

public class ProcessingPhase
extends org.apache.commons.lang.enums.ValuedEnum

Type-safe enumeration of the various form processing phases.

Version:
  $Id: ProcessingPhase.java 587759 2007-10-24 03:00:37Z vgritsenko $
See Also:
  Serialized Form

Field Summary
`static ProcessingPhase` | `LOAD_MODEL`
`static int` | `LOAD_MODEL_VALUE`
`static ProcessingPhase` | `PROCESSING_INITIALIZE`
`static int` | `PROCESSING_INITIALIZE_VALUE`
`static ProcessingPhase` | `READ_FROM_REQUEST`
`static int` | `READ_FROM_REQUEST_VALUE`
`static ProcessingPhase` | `SAVE_MODEL`
`static int` | `SAVE_MODEL_VALUE`
`static ProcessingPhase` | `VALIDATE`
`static int` | `VALIDATE_VALUE`

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Constructor Summary
`protected` | `ProcessingPhase(String name, int value)`

Method Summary
`static ProcessingPhase` | `getEnum(int value)`
`static ProcessingPhase` | `getEnum(String name)`
`static List` | `getEnumList()`
`static Map` | `getEnumMap()`
`static Iterator` | `iterator()`

Methods inherited from class org.apache.commons.lang.enums.ValuedEnum
`compareTo, getEnum, getValue, toString`

Methods inherited from class org.apache.commons.lang.enums.Enum
`equals, getEnum, getEnumClass, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PROCESSING_INITIALIZE_VALUE

    public static final int PROCESSING_INITIALIZE_VALUE

See Also:
  Constant Field Values

### PROCESSING_INITIALIZE

    public static final ProcessingPhase PROCESSING_INITIALIZE

### LOAD_MODEL_VALUE

    public static final int LOAD_MODEL_VALUE

See Also:
  Constant Field Values

### LOAD_MODEL

    public static final ProcessingPhase LOAD_MODEL

### READ_FROM_REQUEST_VALUE

    public static final int READ_FROM_REQUEST_VALUE

See Also:
  Constant Field Values

### READ_FROM_REQUEST

    public static final ProcessingPhase READ_FROM_REQUEST

### VALIDATE_VALUE

    public static final int VALIDATE_VALUE

See Also:
  Constant Field Values

### VALIDATE

    public static final ProcessingPhase VALIDATE

### SAVE_MODEL_VALUE

    public static final int SAVE_MODEL_VALUE

See Also:
  Constant Field Values

### SAVE_MODEL

    public static final ProcessingPhase SAVE_MODEL

Constructor Detail

### ProcessingPhase

    protected ProcessingPhase(String name,
                              int value)

Method Detail

### getEnum

    public static ProcessingPhase getEnum(String name)

### getEnum

    public static ProcessingPhase getEnum(int value)

### getEnumMap

    public static Map getEnumMap()

### getEnumList

    public static List getEnumList()

### iterator

    public static Iterator iterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.